Debian Bullseye

If you have problems understanding something or getting started, ask here

Moderator: joepal

Debian Bullseye

Postby b1bb2 » Thu Aug 12, 2021 3:00 am

The makehuman package was in The Linux operating system debian 9 and 10. Debian 11 (Bullseye) will be released on Saturday 14 August 2021, Three days after this post. Why did debian drop the makehuman package from Bullseye and sid? Is it on any other current linux system? Where can I get a current makehuman deb or zip file for Bullseye? Some answers to these questions are in http://www.makehumancommunity.org/wiki/FAQ. But the answers are wrong and the site seems outdated. For one example, it says there is a DEB release available from the MakeHuman download page. https://github.com/makehumancommunity/makehuman says download the source as a zip. How? OK, what I want (deb or zip file) does not seem to be posted on offical makehuman web. Is it available elsewhere? Can someone send it to me? Or maybe it does not exist and is hard to make?

I found this page. https://github.com/makehumancommunity/m ... deb/debian. Maybe what I want is here and I do not know how to use gethub. So what do I click?

Also, I would like all the user_contributed_assets in one zip file to download or sent to me. Or I could try wget. I am aware there is a plugin, Asset downloader, that downloads the assets, that method will not work for me. But it would be easy for someone with correct system, makehuman installed on a system which has internet access. Simply run the plugin, then zip the resulting directory. I suppose the zip file would be the same no matter what operating system is used. Even if debian 11 will not work, I can still try it on debian 9 or 10.

This forum uses light grey characters on dark grey background. It is hard for me to read. To make it a little easier, I select all text which displays blue characters on white background. Is there a better way?
b1bb2
 
Posts: 12
Joined: Thu Aug 12, 2021 2:48 am

Re: Debian Bullseye

Postby Aranuvir » Thu Aug 12, 2021 2:13 pm

We do not create packages for Debian directly. Best way to use it on any Linux distro: clone the github repo. Install numpy, pyopengl and pyqt5. Execute the makehuman start script. If you desperately need something to click on for starting the application, write a little .desktop file.

The topic about that asset zip, which will have an enormous file size, has been discussed endless times. Due to limited this will not happen in the foreseeable future...

You can change the forum theme in the user settings. Not sure if the alternative is more suitable.
Aranuvir
 
Posts: 1273
Joined: Sun Oct 12, 2014 2:12 pm

Re: Debian Bullseye

Postby b1bb2 » Thu Aug 12, 2021 6:45 pm

Thank you Aranuvir. That answer is helpful. I wish you would have given me this code, but I figured it out.
Code: Select all
sudo apt-get install -y git git-all
git clone git://github.com/makehumancommunity/makehuman.git


Code: Select all
Cloning into 'makehuman'...
remote: Enumerating objects: 38107, done.
remote: Counting objects: 100% (102/102), done.
remote: Compressing objects: 100% (65/65), done.
remote: Total 38107 (delta 50), reused 69 (delta 34), pack-reused 38005
Receiving objects: 100% (38107/38107), 67.77 MiB | 433.00 KiB/s, done.
Resolving deltas: 100% (29055/29055), done.
Checking connectivity... done.
After I figured out the bash code, I am suprised how easy and automatic that run was. Folder named makehuman was created in my home directory without prompting.

makehuman/requirements.txt says: numpy>=1.17.4, PyQt5>=5.12.8, PyOpenGL>=3.1.0. I assume these packages will be in Bullseye with the names: python-numpy, python-pyqt5, python-opengl.

Where is user settings? I found an icon on forum page, change font size, that has 3 sizes.

I have file download_assets_git.py. What should I do with it, what does it do?

You say that asset zip has an enormous file size. How big?

This question was not answered so I repeat it: Why did debian drop the makehuman package from Bullseye and sid? debian could have simply re-used the old package. Is it a security problem? or maybe it will simply not work?
b1bb2
 
Posts: 12
Joined: Thu Aug 12, 2021 2:48 am

Re: Debian Bullseye

Postby loki1950 » Thu Aug 12, 2021 8:39 pm

None of the distros have contact with us they tell us nothing of there policy decisions the person to ask is the maintainer of the package for Debian as we only provide a ppa for Ubuntu derivatives.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 19.2/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and Lenovo Ideapad 320-15ABR Win 10/Mint 19
User avatar
loki1950
 
Posts: 1174
Joined: Thu Dec 18, 2014 6:27 pm
Location: Ottawa,Ontario

Re: Debian Bullseye

Postby b1bb2 » Thu Aug 12, 2021 10:22 pm

The following paragraphs are a dump of data I found from searching internet. The main statement is: remove makehuman, it depends on Qt4 which is going away. Does MakeHuman 1.2.0 still depend on Qt4? Will it work with Qt5? It looks like Debian Bullseye has some packages with names containing Qt5, but none with Qt4. If needed, I could try installing Qt4 into Bullseye.

Code: Select all
https://packages.debian.org/buster/makehuman
Maintainer: Muammar El Khatib <muammar@debian.org>

https://tracker.debian.org/pkg/makehuman
[2019-11-15] Removed 1.1.1-1.2 from unstable

https://tracker.debian.org/news/1080275/removed-111-12-from-unstable/
Removed 1.1.1-1.2 from unstable

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: <944761-close@bugs.debian.org>
Subject: Bug#944761: Removed package(s) from unstable
Date: Fri, 15 Nov 2019 07:39:19 +0000
We believe that the bug you reported is now fixed; the following package(s) have been removed from unstable:
makehuman |  1.1.1-1.2 | source, all
makehuman-data |  1.1.1-1.2 | all
makehuman-doc |  1.1.1-1.2 | all
Reason  RoQA; Depends on qt4

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=944761
From: Moritz Muehlenhoff <jmm@debian.org>
Subject: RM: makehuman -- RoQA; Depends on qt4
Date: Thu, 14 Nov 2019 23:19:21 +0100
Please remove makehuman, it depends on Qt4 which is going away.  Cheers, Moritz

https://packages.debian.org/buster/qt4-default
Package: qt4-default (4:4.8.7+dfsg-18+deb10u1)

Download Source Package qt4-x11:
[qt4-x11_4.8.7+dfsg-18+deb10u1.dsc]
[qt4-x11_4.8.7+dfsg.orig.tar.xz]
[qt4-x11_4.8.7+dfsg-18+deb10u1.debian.tar.xz]

Maintainers:
    Debian Qt/KDE Maintainers (QA Page, Mail Archive)
    Sune Vuorela (QA Page)
    Pino Toscano (QA Page)
    Lisandro Damián Nicanor Pérez Meyer (QA Page)
    Timo Jyrinki (QA Page)

External Resources:
Homepage [qt-project.org]

Similar packages:
    qt5-default
    qtchooser
    qt5-qmake-bin
    qt4-qmake
    qt4-bin-dbg
    qt5-qmake
    libqt4-dev

Qt 4 development defaults package
Qt is a cross-platform C++ application framework. Qt's primary feature is its rich set of widgets that provide standard GUI functionality.
This package sets Qt 4 to be the default Qt version to be used when using development binaries like qmake. It provides a default configuration for qtchooser, but does not prevent alternative Qt installations from being used.
b1bb2
 
Posts: 12
Joined: Thu Aug 12, 2021 2:48 am

Re: Debian Bullseye

Postby Aranuvir » Fri Aug 13, 2021 11:40 am

"Does MakeHuman 1.2.0 still depend on Qt4?"
Taking a look at the posts above, you should be able to answer that question by yourself.

"If needed, I could try installing Qt4 into Bullseye."
Since Qt4 is deprecated, I'd strongly recommend to avoid this kind of action. BTW, MakeHuman 1.1.1 depends on Python2, which is also deprecated.

IMHO, I would not install the application in the root area, anyway. MakeHuman is a collection of Python scripts, with some extra data being piped through those scripts. I'd leave this kind of stuff in user space...
Aranuvir
 
Posts: 1273
Joined: Sun Oct 12, 2014 2:12 pm

Re: Debian Bullseye

Postby b1bb2 » Fri Aug 13, 2021 6:05 pm

I did research and found many answers. There are still questions about Qt in the last paragraph. I realise some parts of this discussion are debian, but it all relates to running makehuman. I invited muammar and jmm from debian.org to join this disusssion.

This little acronym, IMHO, stands for in my humble opinion.

BTW. abbreviation for by the way.

Here is example of little .desktop file. Save the file as “application-name.desktop”.
Code: Select all
[Desktop Entry]
Version=1.0
Name=Name of the application
Comment=text you want to show when hovering above the icon
Exec=Path of the executable file %U
Icon=Path of the image
Terminal=false
StartupWMClass=name of application
Type=Application
Categories=category of the application
MimeType=Type of application it should open


Here is how to execute the makehuman start script: python3 makehuman/makehuman/makehuman.py

I found this answer for the size of asset zip: viewtopic.php?f=20&t=19796#p54299 We're talking about approx 10 gb of assets,

MakeHuman 1.2.0 does not depend on Qt4. Here are the some system requirements for MakeHuman 1.2.0.
Code: Select all
http://www.makehumancommunity.org/wiki/Releases:120b1
The codebase has received a major overhaul to bring it up to date with modern versions of Python and Qt
The following are the minimum required dependency versions for MakeHuman Community 1.2.0:
    Python: 3.6.4 or higher
    PyQt: 5.10.0 to 5.12.x. 5.14 will not work
    NumPy: 1.13.0 or higher
    PyOpenGL: Any modern version will work, including the one used for MakeHuman 1.1.x


Here are some packages in Debian Bullseye.
Code: Select all
https://packages.debian.org/bullseye/python3
Package: python3 (3.9.2-3)

https://packages.debian.org/bullseye/qtbase5-dev
Package: qtbase5-dev (5.15.2+dfsg-9)
Qt 5 base development files
This package contains the header development files used for building Qt 5 applications.

https://packages.debian.org/bullseye/python3-numpy
Package: python3-numpy (1:1.19.5-1)
This package contains Numpy for Python 3.

https://packages.debian.org/source/bullseye/pyopengl
Source Package: pyopengl (3.1.5+dfsg-1)
The following binary packages are built from this source package:  python3-opengl
Python bindings to OpenGL (Python 3)


In summary, Debian Bullseye has qtbase5-dev (5.15.2+dfsg-9). MakeHuman 1.2.0 needs PyQt: 5.10.0 to 5.12.x. 5.14 will not work. This does not explicity say the debian package will not satisfy the makehuman requirement. But it dose imply it will not work. This assumes qtbase5-dev has PyQt. Dose it? For a list of debian packages see https://packages.debian.org/testing/python/. This URL will probably change tomorrow when Bullseye is officially released.
b1bb2
 
Posts: 12
Joined: Thu Aug 12, 2021 2:48 am

Re: Debian Bullseye

Postby b1bb2 » Sat Sep 04, 2021 10:35 pm

How to get the latest stable version of makehuman?
My operating system is linux debian 11.0.0 (bullseye).
I ran this code: git clone git://github.com/makehumancommunity/makehuman.git;
which downloaded this file: makehumancommunity.ZIP.
When run, it displays this on top: MakeHumanCommunity1.2.1alpha(master:2ff235bd).
alpha means it is not stable.

I downloaded some assets from makehumancommunity and put them into data/poses and data/proxymeshes. That works. But putting materials assets into data/materials has no effect on the menu. How can I make the assets work? I read the faq, but it seems outdated. I do not have folder makehuman/v1.
b1bb2
 
Posts: 12
Joined: Thu Aug 12, 2021 2:48 am

Re: Debian Bullseye

Postby joepal » Sun Sep 05, 2021 12:54 pm

You can select the git version tagged "v1.2.0" by using the branch dropdown, the tags tab and then click "v1.2.0". When then downloading the zip, you'll get the code marked as stable.

However, there is very little difference between this and the code you downloaded. The "alpha" tag here is simply a label saying that the additional bugfixes haven't been released as stable yet. But it isn't as if those code changes are going to eat your cat alive.

The materials need to be put in the folder where the asset they belong to are. For example, if you have an asset "hair/long01" and download a material belonging to that, you'll need to put all files belonging to the material in hair/long01. This is automated by the asset downloader plugin.
Attachments
github.png
Joel Palmius (LinkedIn)
MakeHuman Infrastructure Manager
http://www.palmius.com/joel
joepal
 
Posts: 4098
Joined: Wed Jun 04, 2008 11:20 am

Re: Debian Bullseye

Postby Aranuvir » Sun Sep 05, 2021 2:13 pm

I ran this code: git clone git://github.com/makehumancommunity/makehuman.git;
which downloaded this file: makehumancommunity.ZIP.

If "git clone git://github.com/makehumancommunity/makehuman.git" downloaded a zip file, something is wrong with your git installation...

"Alpha" simply indicates that our planed bug fix release isn't feature complete yet. But the alpha runs pretty stable. I'm using it all the time, though I'm some local commits ahead ;) .
To checkout a certain version of MakeHuman, change the directory to your makehuman repo, then type "git checkout " and hit the tab key twice, to see your options.
Aranuvir
 
Posts: 1273
Joined: Sun Oct 12, 2014 2:12 pm


Return to Newbies

Who is online

Users browsing this forum: No registered users and 1 guest